---
title: Plan in 2024
weight: 30
description: The planned project workload in 2024
---


## First Blue Print in 2024 

Our first architectural blue print for the IPCEI-CIS Developer Framework derives from Humanitecs Reference Architecture, see links in [Blog](../../blog/240823-archsession.md)

![alt text](image-2024-8-14_10-50-27.png)

## C4 Model

> (sources see in ./ressources/architecture-c4)

> How to use: install C4lite VSC exension and/or C4lite cli - then open *.c4 files in ./ressources/architecture-c4

First system landscape C4 model:

![c4-model](./planes.png)

## In Confluence

https://confluence.telekom-mms.com/display/IPCEICIS/Architecture


## Dimensionierung Cloud für initiales DevFramework

### 28.08.24, Stefan Bethke, Florian Fürstenberg, Stephan Lo

1) zuerst viele DevFrameworkPlatformEngineers arbeiten lokal, mit zentralem Deployment nach OTC in **einen/max zwei** Control-Cluster
2) wir gehen anfangs von ca. 5 clustern aus
3) jeder cluster mit 3 Knoten/VM (in drei AvailabilityZones)
4) pro VM 4 CPU, 16 GB Ram, 50 GB Storage read/write once, PVCs 'ohne limit'
5) public IPs, plus Loadbalancer
6) Keycloak vorhanden
7) Wildcard Domain ?? --> Eher ja

Next Steps: (Vorschlag: in den nächsten 2 Wochen)
1. Florian spezifiziert an Tobias
2. Tobias stellt bereit, kubeconfig kommt an uns
3. wir deployen

